/**
 * Created by Tobi Stockinger on 26/11/14.
 */


/**
 * This can be used to handle status code without too many magic numbers
 * @type {{EMPTY_REQUEST: {code: number, message: string}, NO_SUCH_SUGGESTION: {code: number, message: string}, ALREADY_VOTED: {status: number, message: string}, COUNT_UPDATED: {code: number, message: string}, SUCCESS: {code: number, message: string}}}
 */
const codes = {
    EMPTY_REQUEST : {
        code : 1001,
        message : 'empty request body'
    },
    NO_SUCH_SUGGESTION : {
        code : 1002,
        message : 'no such suggestion'
    },
    ALREADY_VOTED : {
        status: 777,
        message : 'you have already voted for this question'
    },
    COUNT_UPDATED : {
        code : 200,
        message : 'count successfully updated'
    },
    DB_UPDATE_ERROR : {
        code : 1003,
        message : 'Could not write to database. Try again later or check parameters.'
    },
    SUCCESS : {
        code : 200,
        message : 'OK'
    },
    DB_FLUSHED_SUCCESS : {
        code : 201,
        message : 'Database flushed'
    },
    ERROR_WRONG_PARAMETERS :{
        code: 1004,
        message: 'Wrong parameters submitted'
    }


};
module.exports = codes;