var express = require('express');
var router = express.Router();

router.get('/suggestionList',function(request,response){
  var db = request.db;
  var suggestions = db.get('suggestions');
  suggestions.find({},{},function(e,docs){
    response.json(docs);
  });
});

/* GET home page. */
router.get('/', function(request, response  ) {

  /**
   * the score is simple the number of positive votes minus the negative votes
   * @param suggestion
   * @returns {number}
   */
  var getScore = function(suggestion){
    return suggestion.votes.up - suggestion.votes.down;
  };

  var db = request.db;
  var suggestions = db.get('suggestions');
  suggestions.find({},{},function(e,docs){
    if(e){
      response.json(e);
    }
    else if(docs){

      var sortedSuggestions = docs;

      // sort the array with a custom sort function
      sortedSuggestions.sort(function(a,b){
        // the score is simply upVotes - downVotes;
        return getScore(b) - getScore(a);
      });

      // render the jade template int /views/index.jade
      response.render('index', {
        title: 'Assignment 08',
        suggestions: sortedSuggestions,
        placeholder: 'Enter your suggestion here',
        submitLabel : 'Suggest this!'
      });
    }
  });




});

module.exports = router;
